class WizPage:
	model=None
	name="No Name"
	def __init__(self,name=None,task=None):
		if name is not None:
			self.name=name
		if task is not None:
			self.task=task
	def SetWizard(self,wp):
		from etgui import Wizard
		self.wizard=Wizard(wp)
	def MakeContent(self):
		return TextItem("EMPTY?")
	def GetName(self):
		return self.name
	def WantToBeDisplayed(self):
		return 1
	def EditBegin(self):
		pass
	def EditCanEnd(self):
		return 1
	def EditEnd(self):
		pass
	def CanShowHelp(self):
		return 0
	def ShowHelp(self):
		pass
	def Control(self,id,part,val):
		return 1
	def SetModel(self,model):
		self.model=model

class WizModel:
	def Begin(self):
		pass
	def CanFinish(self):
		return 1
	def Cancel(self):
		pass
	def Finish(self):
		return 1

